Linux mail.vriendennsm.nl 6.1.0-51-amd64 #1 SMP PREEMPT_DYNAMIC Debian 6.1.177-1 (2026-07-16) x86_64
Apache/2.4.68 (Debian)
Server IP : 217.154.75.17 & Your IP : 216.73.216.195
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
snap /
core /
17292 /
etc /
rc6.d /
Delete
Unzip
Name
Size
Permission
Date
Action
K01cgmanager
3.48
KB
-rwxr-xr-x
2015-09-14 22:15
K01cgproxy
3.28
KB
-rwxr-xr-x
2015-09-14 22:15
K01resolvconf
4.05
KB
-rwxr-xr-x
2017-11-29 18:26
K01ubuntu-fan
1.2
KB
-rwxr-xr-x
2016-10-28 15:24
K01urandom
3.04
KB
-rwxr-xr-x
2016-01-19 18:33
K02sendsigs
3.83
KB
-rwxr-xr-x
2016-01-19 18:33
K03rsyslog
2.73
KB
-rwxr-xr-x
2016-02-03 10:54
K04hwclock.sh
3.72
KB
-rwxr-xr-x
2016-03-12 15:14
K04umountnfs.sh
2.15
KB
-rwxr-xr-x
2016-01-19 18:33
K05networking
4.66
KB
-rwxr-xr-x
2016-11-30 17:16
K06umountfs
2.67
KB
-rwxr-xr-x
2016-01-19 18:33
K07umountroot
1.83
KB
-rwxr-xr-x
2016-01-19 18:33
K08reboot
661
B
-rwxr-xr-x
2016-01-19 18:33
README
351
B
-rw-r--r--
2016-01-19 18:33
Save
Rename
#! /bin/sh ### BEGIN INIT INFO # Provides: umountroot # Required-Start: # Required-Stop: # Should-Stop: halt reboot kexec # Default-Start: # Default-Stop: 0 6 # Short-Description: Mount the root filesystem read-only. ### END INIT INFO PATH=/sbin:/bin . /lib/init/vars.sh . /lib/lsb/init-functions do_stop () { [ "$VERBOSE" = no ] || log_action_begin_msg "Mounting root filesystem read-only" # Ask init to re-exec itself before we go down if it has been # upgraded this cycle. It'll lose all its state, but at least # it won't hold open files on the root filesystem (lp:#672177). if [ -f /var/run/init.upgraded ] then old_map=$( cat /proc/1/maps ) map=$old_map telinit u || : i=0 timeout=5 while [ "$map" = "$old_map" ] do sleep 1 map=$( cat /proc/1/maps ) /usr/bin/logger "waiting for init to respawn" i=$((i+1)) if [ $i -eq $timeout ] ; then break fi done if [ "$map" = "$old_map" ] ; then /usr/bin/logger "FAIL: init failed to respawn in $timeout seconds - unmounting anyway" else /usr/bin/logger "SUCCESS: init respawned after $i seconds (within $timeout seconds timeout)" fi fi MOUNT_FORCE_OPT= [ "$(uname -s)" = "GNU/kFreeBSD" ] && MOUNT_FORCE_OPT=-f # This: # mount -n -o remount,ro / # will act on a bind mount of / if there is one. # See #339023 and the comment in checkroot.sh mount $MOUNT_FORCE_OPT -n -o remount,ro -t dummytype dummydev / 2>/dev/null \ || mount $MOUNT_FORCE_OPT -n -o remount,ro dummydev / 2>/dev/null \ || mount $MOUNT_FORCE_OPT -n -o remount,ro / ES=$? [ "$VERBOSE" = no ] || log_action_end_msg $ES } case "$1" in start|status) # No-op ;; restart|reload|force-reload) echo "Error: argument '$1' not supported" >&2 exit 3 ;; stop) do_stop ;; *) echo "Usage: $0 start|stop" >&2 exit 3 ;; esac :